Update project
curl --request PATCH \
--url https://api.justanotheruptime.com/projects/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"isPublic": true,
"settings": {
"notifications": {
"email": true,
"slack": true,
"webhook": true
},
"statusPage": {
"enabled": true,
"customDomain": "<string>"
},
"ssl": {
"enabled": true,
"autoRenew": true,
"expiryThreshold": 45.5,
"alertThreshold": 15.5
},
"monitoring": {
"regions": [
"<string>"
],
"customRegions": [
"<string>"
],
"performanceThresholds": {
"responseTime": 101,
"p95ResponseTime": 101,
"p99ResponseTime": 101,
"reliability": 95
}
}
},
"removeUserIds": [
"<string>"
]
}
'import requests
url = "https://api.justanotheruptime.com/projects/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"isPublic": True,
"settings": {
"notifications": {
"email": True,
"slack": True,
"webhook": True
},
"statusPage": {
"enabled": True,
"customDomain": "<string>"
},
"ssl": {
"enabled": True,
"autoRenew": True,
"expiryThreshold": 45.5,
"alertThreshold": 15.5
},
"monitoring": {
"regions": ["<string>"],
"customRegions": ["<string>"],
"performanceThresholds": {
"responseTime": 101,
"p95ResponseTime": 101,
"p99ResponseTime": 101,
"reliability": 95
}
}
},
"removeUserIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
isPublic: true,
settings: {
notifications: {email: true, slack: true, webhook: true},
statusPage: {enabled: true, customDomain: '<string>'},
ssl: {enabled: true, autoRenew: true, expiryThreshold: 45.5, alertThreshold: 15.5},
monitoring: {
regions: ['<string>'],
customRegions: ['<string>'],
performanceThresholds: {responseTime: 101, p95ResponseTime: 101, p99ResponseTime: 101, reliability: 95}
}
},
removeUserIds: ['<string>']
})
};
fetch('https://api.justanotheruptime.com/projects/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"description": "<string>",
"isPublic": true,
"settings": {
"notifications": {
"email": true,
"slack": true,
"webhook": true
},
"statusPage": {
"enabled": true,
"customDomain": "<string>"
},
"ssl": {
"enabled": true,
"autoRenew": true,
"expiryThreshold": 45.5,
"alertThreshold": 15.5
},
"monitoring": {
"regions": [
"<string>"
],
"customRegions": [
"<string>"
],
"performanceThresholds": {
"responseTime": 101,
"p95ResponseTime": 101,
"p99ResponseTime": 101,
"reliability": 95
}
}
},
"removeUserIds": [
"<string>"
]
}Projects
Update project
Update a specific project by ID
PATCH
/
projects
/
{id}
Update project
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Project ID
Body
application/json
⌘I